drop table t100 purge;
drop table t1000 purge;
drop table t10000 purge;
create table t100(id primary key, n10)
  as select level id, mod(level,10) n10 
     from dual connect by level<=100;
create table t1000(id primary key, n10, n100)
  as select level id
          , mod(level,10) n10
          , mod(level,100) n100 
     from dual connect by level<=1000;
create table t10000(id primary key, n10, n100, n1000)
  as select level id
          , mod(level,10) n10
          , mod(level,100) n100 
          , mod(level,1000) n1000
     from dual connect by level<=10000;
create index ix_t10000_n1000 on t10000(n1000);
call dbms_stats.gather_table_stats('','T100');
call dbms_stats.gather_table_stats('','T1000');
call dbms_stats.gather_table_stats('','T10000');
